/**
 * QDataOutput
 * by Daniel Steinbock <steinbock@stanford.edu>
 * 
 * Writes movement analysis data to a file for QColorGraph
 *
 */ 


class QDataOutput {
  String outputFilename;
  PrintWriter fileOutput;
  int rowCount = 0;
  String headers;
  int numCols = 0;
  
  QDataOutput(String headerString, int numHeaders) {
    headers = headerString;
    numCols = numHeaders;
    outputFilename = path.substring(0,path.length()-4) + "_stepdata.csv";
    println("output = " + outputFilename);
    fileOutput = createWriter(outputFilename);
    fileOutput.println(headers);
  }

  void writeData(Vector v) {
    byte current = 0;
    for(int i=0; i<v.size(); ++i) {
      current = (Byte)v.get(i);
      fileOutput.print(current + ",");
      fileOutput.print("\n");
    }
  }


  public void finish(){
    fileOutput.flush(); // Write the remaining data
    fileOutput.close(); // Finish the file
  }


}

