/**
 * QBody
 * by Daniel Steinbock <steinbock@stanford.edu>
 * 
 * Representation of a human body for QMovement
 *
 */ 

class QBody {

  public int L;
  public int R;
  
  QBody(int Lvalue, int Rvalue) {
    L = Lvalue;
    R = Rvalue;
    println("QBody( " + L + "," + R + " )");
  }
  
  void draw() {
    stroke(0,100,140,100);
    line(R, 0, R, movie.height-1);
  }
    
  int getCeiling() {  // read the historyMask and return the number of pixels that ever changed inside this QBody's bounds
    int total = 0;
    color c;
    qdata.historyMask.loadPixels();
    for (int x = L; x <= R; x++) {
      for (int y = 0; y < movie.height; y++) {
        if(x >= 0) {
          c = qdata.historyMask.pixels[y*movie.width + x];
        }
        else {
          c = qdata.historyMask.pixels[y*movie.width + (movie.width + x)];
        }
        
        int r = (c >> 16) & 0xFF;  // Faster way of getting red(argb)
        int g = (c >> 8) & 0xFF;   // Faster way of getting green(argb)
        int b = c & 0xFF;          // Faster way of getting blue(argb)

        if( r+g+b > 0 ) ++total;
      }
    }
    return total;
  }
}
